Cyberduck Mountain Duck CLI

#8667 closed defect (duplicate)

Smartcard login error

Reported by: yvan moriamé Owned by:
Priority: normal Milestone: 4.7
Component: core Version: 4.6.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

See ticket 8627

Hi, Error is still there in version 4.7 (17149) see attach

Regards Yvan

Attachments (1)

cyberduck.jpg (119.3 KB) - added by yvan moriamé on Mar 16, 2015 at 12:00:31 AM.
Cyberduck Version and error

Download all attachments as: .zip

Change History (6)

Changed on Mar 16, 2015 at 12:00:31 AM by yvan moriamé

Cyberduck Version and error

comment:1 Changed on Mar 18, 2015 at 8:15:28 PM by dkocher

  • Milestone set to 4.7
  • Resolution set to duplicate
  • Status changed from new to closed

comment:2 Changed on Mar 18, 2015 at 9:32:08 PM by yvan moriamé

Hi,

Where is the resolution ? Duplicate ? i am using version 4.7 r17149 (see attachment) The error was in version 4.6.5 ticket 8627, was resolved two weeks ago, but the error came back in version 4.7

comment:3 Changed on Mar 19, 2015 at 10:16:10 AM by yla

For any secure connection (in your case WebDAV over SSL/TLS) the certificate store needs to be initialized. There are certificates in your personal key store which have their private key on a smart card. That's the reason why the window pops up. You need the card reader attached with the appropriate smart card or you get rid of the certificates in the store.

comment:4 Changed on Mar 20, 2015 at 5:27:59 PM by yvan moriamé

Hi, I am not convinced by your explanation, as I regularly use smart cards (EID, Bank, ...), there are 3 active in the personal store (6 certificates : 1 authentication cert and 1 signature cert for each). When I do not put a card in the reader, I get the warning (smart card login) 6 times. when I insert one of the active cards into the reader, the warning appears only 4 times. Since I do not want to remove the certificates, in any case I would get at least 4 times that totally useless warning. If the connection webdav needs the certificate stored on a smart card, the store needs to be initialized, okay but, are you sure that there is no possibility to check if the certificates found in the store are not necessary for the desired connection and so bypass the warning. Some other programs that also use a WebDAV connection over SSL does not have that problem.

Thanks Yvan

comment:5 Changed on Jun 29, 2015 at 9:09:01 AM by dkocher

Duplicate for #8595.

Note: See TracTickets for help on using tickets.
swiss made software